#ifndef __TRANSFORMABLE_H_
#define __TRANSFORMABLE_H_

#include "Matrix4x4.h"

namespace ambenv {

  class Transformable {
  public:
    Transformable();
    virtual ~Transformable();

    Matrix4x4 getMatrix() const;
    void setMatrix( const Matrix4x4 & mat );

    Matrix4x4 getMatrixInverse() const;
    void setMatrixInverse( const Matrix4x4 & mat );

  private:
    Matrix4x4 xform;
    Matrix4x4 inv_xform;
  };

}; /* namespace ambenv */

#endif /* __TRANSFORMABLE_H_ */
